
(define *reference-data-dir* ".")
(define (quick-save)
   (save-state)
   (map (lambda (imol) (write-pdb-file imol (molecule-name imol)))
      (model-molecule-list)
))
(define cs-file-name (append-dir-file *reference-data-dir* "cs.tab")) 
;(define all '())
;(define (mutate-and-fit-residue-from-cs cs-file-name )
(if(file-exists? cs-file-name)
     (call-with-input-file cs-file-name
        (lambda(port)
          (let loop ((voce (read port))
                    (all '())) 
	    (if (eof-object? voce)
   (     
    (let (( pdb-1 (append-dir-file *reference-data-dir* (car all))))
      (let (( mtz-1 (append-dir-file *reference-data-dir* (cadr all))))
        (let ((pdb-mol (read-pdb pdb-1)))
;MAP      (let ((backup-mode (backup-state pdb-mol)))
;MAP          (turn-off-backup pdb-mol)
;MAP
;MAP          (sleep 1)
;MAP          (set-density-size 12.00)
;MAP          (let ((map-mol (handle-read-ccp4-map mtz-1 0)))
;MAP          (let ((lunghezza(length all)))  
;MAP          (let loop2 (( n lunghezza))
;MAP          (if (= n 2) 
;MTZ     (sleep 1)
;MTZ     (set-density-size 12.00)
;MTZ     (let ((map-mol (make-and-draw-map mtz-1 "F" "PHIMR" "WTMR" 0 0)))
;MTZ       (let ((lunghezza(length all)))  
;MTZ        (let loop2 (( n lunghezza))
;MTZ         (if (= n 2)
               ((quick-save) 
                (close-molecule pdb-mol)
                (close-molecule map-mol)
                (coot-real-exit 0))
               ((let (( chain-id (list-ref all (- n 3))))
                 (let (( resno (list-ref all (- n 2))))
                  (let (( resty (list-ref all (- n 1))))
                   (mutate-and-auto-fit resno chain-id pdb-mol map-mol resty) 
;MAP               (loop2 (- n 3))))))))))
;MAP          (if (= backup-mode 1)
;MAP              (turn-on-backup pdb-mol))
;MAP
;MAP        ))))
;MTZ               (loop2 (- n 3)))))))
;MTZ        ))))))
    )
    (loop (read port)(cons voce all) ) 
             )))))
 
    
